<script>
  import { createEventDispatcher } from "svelte";

  export let video;

  const dispatch = createEventDispatcher();
  const play = () => {
    dispatch("play", video);
  };
</script>

<style>
  figure {
    margin: 0;
    cursor: pointer;
    margin-left: 20px;
  }

  figure:first-child {
    margin-left: 0;
  }

  @media (max-width: 900px) {
    figure {
      width: calc(50% - 20px);
      margin-bottom: 40px;
    }

    figure:nth-child(odd) {
      margin-left: 0;
    }
  }

  @media (max-width: 500px) {
    figure {
      width: 100%;
      margin-left: 0;
    }
  }

  .thumbnail {
    transition: transform 200ms, box-shadow 200ms;
    position: relative;
  }

  img {
    display: block;
    object-fit: cover;
    width: 100%;
  }

  .thumbnail::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 40px;
    height: 40px;
    opacity: 0;
    transition: opacity 400ms;
    background-image: url("/img/play-button.svg");
  }

  .thumbnail::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #36454f99;
    opacity: 0;
    transition: opacity 400ms;
  }

  figure:hover .thumbnail::before,
  figure:hover .thumbnail::after {
    opacity: 1;
  }

  figcaption {
    margin-top: 7px;
    font-size: 16px;
  }
</style>

<figure on:click={play}>
  <div class="thumbnail">
    <img src="https://img.youtube.com/vi/{video.id}/maxresdefault.jpg" alt={video.title} />
  </div>
  <figcaption>{video.title}</figcaption>
</figure>
